<template>
	<el-row>
		<el-row class="header_bar flexVcenter cfff bc2d2f32">
			<img
				src="../assets/img/logo1.png"
				style="margin-left:1.875rem;height:1.875rem;width:auto"
				alt=""
			>
			<!-- <span class="marginLeft10 bcfff" style="width:0.0625rem;height:0.875rem;"></span> -->
			<!-- <span class="marginLeft10 f14" style="line-height:1;">资金端</span> -->
			<div class="right-bar-container flexVcenter">
				<!-- <el-badge type="info" is-dot :max="99" class="item">
					<i class="el-icon-bell cur f28 c9696A0" @click="go('/controller/taskAndNotice')"></i>
				</el-badge> -->
				<!--<img-->
					<!--:src="'/api/chainFileStore/' + userInfo.headUrl"-->
					<!--style="width:1.875rem;height:1.875rem;"-->
					<!--alt=""-->
				<!--&gt;-->
				<img
						src="../assets/img/timg_white.png"
						style="width:1.875rem;height:1.875rem;"
						alt=""
				>
				<span class="f12 c9696A0">{{userInfo.nickName}}</span>
				<span class="f12 marginLeft10 cur" @click="logOut">退出</span>
			</div>
		</el-row>
		<el-menu class="menu_list" :unique-opened="true" :router="true" text-color="#9696A0">
			<!-- <el-menu-item
				v-for="(menu,index) in menu_list"
				v-if="index === 0"
				:key="index"
				:index="menu.path"
			>
				<template slot="title">
					<div class="menu_icon menu_icon_0"></div>
					<span class="f14 cfff marginLeft10" style="padding-left:0px !important;">{{menu.menu_name}}</span>
				</template>
			</el-menu-item> -->
			<el-submenu v-for="(menu,index) in menu_list"  :key="index" :index="index + ''">
				<template slot="title">
					<div class="menu_icon" :class="['menu_icon_' + index]"></div>
					<span class="f14 marginLeft10" style="color:#fff;">{{menu.menu_name}}</span>
				</template>
				<el-menu-item v-for="(sub_menu,idx) in menu.sub_menu" :key="idx" :index="sub_menu.path">
					<template slot="title">
						<span class="f14" style="color:#9696A0;">{{sub_menu.menu_name}}</span>
					</template>
				</el-menu-item>
			</el-submenu>
		</el-menu>
		<el-row class="main_router">
			<el-row
				class="controller-container"
				style="margin:0.94rem;border-radius:0.375rem;"
				:style="{minHeight : WINDOW_H - 94 + 'px'}"
			>
				<el-row class="sub_head" v-if="sub_title[$route.name]">
					<el-row class="fb_bold f18" style="margin: 0 0.94rem;">
						<el-col class="c666" :span="6">{{sub_title[$route.name].title}}</el-col>
						<el-col :span="18" class="flexVcenter" style="height:3.125rem;justify-content: flex-end;">
							<el-button
								class="marginLeft16"
								v-for="(btn,index) in sub_title[$route.name].buttons"
								:key="index"
								size="mini"
								:disabled="btn && btn.disable"
								type="primary"
								plain
								round
								@click="btnClick(btn)"
							>{{btn.text}}</el-button>
						</el-col>
					</el-row>
				</el-row>
				<el-row :style="{margin: ($route.name === 'home' || $route.name === 'bussinessBase') ? '0' :'0 0.94rem'}">
					<router-view></router-view>
				</el-row>
			</el-row>
		</el-row>
	</el-row>
</template>

<script>
export default {
	mixins: [$mixin],
	data() {
		return {}
	},
	methods: {
		btnClick(btn) {
			if (typeof btn.event === 'function') {
				btn.event()
			} else if (typeof btn.event === 'string') {
				$event_bus.$emit(btn.event, btn)
			}
		},
		logOut() {
			sessionStorage.clear()
			this.go('/login')
		}
	},
	mounted() {}
}
</script>

<style lang="less">
.menu_icon {
	display: inline-block;
	width: 2rem;
	height: 2rem;
}
.menu_icon_0 {
	background: url('../assets/img/index_icon.png');
	background-size: 100% auto;
}
.menu_icon_1 {
	background: url('../assets/img/icon_company.png');
	background-size: 100% auto;
}
.menu_icon_2 {
	background: url('../assets/img/messege.png');
	background-size: 100% 100%;
}
.menu_icon_3 {
	background: url('../assets/img/icon_refactoring.png');
	background-size: 100% auto;
}
.controller-container {
	background-color: #f9f9f9;
	box-shadow: 0 0 0.125rem 0.125rem #dddddd;
}
.sub_head {
	height: 3.125rem;
	div {
		line-height: 3.125rem;
	}
}
.el-menu-item {
	span {
		padding-left: 1.25rem !important;
	}
}
.main_router {
	margin-left: 12.5rem;
	margin-top: 4rem;
	background: #f3f6f8;
}
.header_bar {
	position: fixed;
	z-index: 100;
	width: 100%;
	height: 4rem;
	.right-bar-container {
		position: absolute;
		right: 1rem;
		height: 1.875rem;
		img {
			margin-left: 1rem;
			margin-right: 0.5rem;
			border-radius: 0.94rem;
		}
		.cur {
			cursor: pointer;
		}
	}
}
.el-submenu .el-menu-item {
	min-width: 12.5rem !important;
}
.menu_list {
	position: fixed;
	width: 12.5rem;
	height: calc(100% - 4rem);
	left: 0;
	top: 4rem;
	background-color: #2d2f32 !important;
}
.menu_list li {
	background-color: #2d2f32 !important;
	.el-submenu__title:hover {
		background-color: rgba(0, 0, 0, 0);
	}
}
.menu_list .el-submenu {
	.el-menu-item:hover,
	.is-active {
		span {
			color: #ffffff !important;
		}
		background-color: #4d84ef !important;
	}
}
.el-badge__content {
	border-color: red;
}
.el-badge__content.is-fixed.is-dot {
	right: 0.75rem;
	top: 5px;
	height: 0.375rem;
	width: 0.375rem;
}
</style>
